# Contributing to Octopussy

## Reporting issues

When reporting [issues on GitHub](https://github.com/sebthebert/Octopussy/issues), please provide at least: 
  * your Operating System version
  * your Octopussy version
  * your Perl version (`perl -v`)

### Issues about Octopussy Alerts

If you created an **Octopussy Alert** and you don't understand why your Alert isn't triggered, please also provide:
  * a sample of your logs
  * the alert configuration file (`/var/lib/octopussy/conf/alerts/<your_alert>.xml`)

### Issues about Octopussy Reports

If you created or updated an **Octopussy Report** and you don't understand why it doesn't generate a good report, please also provide:
  * a sample of your logs
  * the report configuration file (`/var/lib/octopussy/conf/reports/<your_report>.xml`)

### Issues about Octopussy Services

If you created or updated an **Octopussy Service** and you don't understand why it doesn't match your logs, please also provide:
  * a sample of your logs
  * the service configuration file (`/var/lib/octopussy/conf/services/<your_service>.xml`)


## Code contribution

If you want to contribute to Octopussy by providing some code, please make a [pull request](https://help.github.com/articles/using-pull-requests) and follow these [guidelines](https://github.com/sebthebert/Perl_Guidelines).


## Other contributions

You can also contribute to Octopussy these ways:
  * translate Octopussy Web interface (`/usr/share/aat/Translations/`)
  * send me Octopussy Services you have added or updated
  * package Octopussy for your favorite Linux distribution
  * blog or talk about Octopussy 
